[Ovirt-devel] [PATCH] [ovirt-node] autobuild.sh

Mohammed Morsi mmorsi at redhat.com
Wed Sep 10 18:30:47 UTC 2008


---
 autobuild.sh |   43 +++++++++++++++++++++++++++++++++++++++++++
 autogen.sh   |    1 +
 2 files changed, 44 insertions(+), 0 deletions(-)
 create mode 100755 autobuild.sh

diff --git a/autobuild.sh b/autobuild.sh
new file mode 100755
index 0000000..a1a1fd0
--- /dev/null
+++ b/autobuild.sh
@@ -0,0 +1,43 @@
+#!/bin/sh
+#oVirt node autobuild script
+#
+# Copyright (C) 2008 Red Hat, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+# MA  02110-1301, USA.  A copy of the GNU General Public License is
+# also available at http://www.gnu.org/copyleft/gpl.html.
+
+echo "Running oVirt Node Autobuild"
+
+set -e
+set -v
+
+test -f Makefile && make -k distclean || :
+
+./autogen.sh --prefix=$AUTOBUILD_INSTALL_ROOT
+make
+make install
+
+rm -f *.tar.gz
+make dist
+
+if [ -f /usr/bin/rpmbuild ]; then
+  if [ -n "$AUTOBUILD_COUNTER" ]; then
+    EXTRA_RELEASE=".auto$AUTOBUILD_COUNTER"
+  else
+    NOW=`date +"%s"`
+    EXTRA_RELEASE=".$USER$NOW"
+  fi 
+  rpmbuild --nodeps --define "extra_release $EXTRA_RELEASE" -ta --clean *.tar.gz
+fi
diff --git a/autogen.sh b/autogen.sh
index 85352f0..b8828fe 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -49,6 +49,7 @@ THEDIR=`pwd`
   autoheader
   automake --add-missing
   autoconf
+  ./configure "$@"
 )
 
 if test "x$OBJ_DIR" != x; then
-- 
1.5.4.1




More information about the ovirt-devel mailing list